Bug 479580 - use dbus service-activation to start the daemon
use dbus service-activation to start the daemon
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-11 12:20 EST by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-05 20:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Changes required (3.43 KB, patch)
2009-01-11 12:20 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2009-01-11 12:20:22 EST
Created attachment 328668 [details]
Changes required

Description of problem:

kerneloops has an init script even though all communication is over dbus. Ergo, just use dbus service activation to start the service when necessary.

Version-Release number of selected component (if applicable):

Comment 1 Harald Hoyer 2009-01-28 08:10:51 EST
Comment 2 Harald Hoyer 2009-02-09 07:37:56 EST
Comment 3 Chuck Ebbert 2009-02-12 04:03:59 EST
I don't have the slightest clue how to do that. And the resources I find on google don't help at all...
Comment 4 Bill Nottingham 2009-02-12 09:11:44 EST
Hence the patch...?
Comment 5 Matthias Clasen 2009-02-24 11:14:55 EST
any chance of getting this looked at for F11 ?
Comment 6 Bill Nottingham 2009-02-25 17:53:17 EST
Also, if someone wants to look over my weak dbus-fu...
Comment 7 Chuck Ebbert 2009-02-25 18:56:02 EST
How is this supposed to work on a server that isn't running X? Right now I can set allow-submit = yes in /etc/kerneloops.conf and the oopses will be submitted by the service without ever calling the applet.
Comment 8 Harald Hoyer 2009-02-26 06:16:25 EST
For that case, we could ship the initscript without defaulting to any runlevel.

The server would require additional configuration for kerneloops anyway, so switching on the service manually would not hurt.
Comment 9 Chuck Ebbert 2009-03-03 16:05:20 EST
In 0.12-3, built today.

Still need to re-add the (disabled) init script...

Note You need to log in before you can comment on or make changes to this bug.